# RCSid:
#	$Id: warnings.mk,v 1.1 2002/01/18 17:46:24 sjg Exp $
#
#	@(#) Copyright (c) 2002, Simon J. Gerraty
#
#	This file is provided in the hope that it will
#	be of use.  There is absolutely NO WARRANTY.
#	Permission to copy, redistribute or otherwise
#	use this file is hereby granted provided that 
#	the above copyright notice and this notice are
#	left intact. 
#      
#	Please send copies of changes and bug-fixes to:
#	sjg@crufty.net
#

# Without -O or if we've set -O0 somewhere - to make debugging more effective,
# we need to turn off -Wuninitialized otherwise we get a warning that
# -Werror turns into an error.
_wf_cflags:= ${CFLAGS}
.if ${_wf_cflags:M-Werror} != "" && \
	(${_wf_cflags:M-O*} == "" || ${_wf_cflags:M-O0} != "")
CFLAGS:= ${_wf_cflags:N-Wuninitialized}
.endif
.undef _wf_cflags
